Package org.kie.internal.runtime.manager.audit.query

## Interface NodeInstanceLogQueryBuilder

- All Superinterfaces:
    `AuditLogQueryBuilder<NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>`, `ExtendedParametrizedQueryBuilder<NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>`, `ParametrizedQueryBuilder<NodeInstanceLogQueryBuilder>`, `ProcessIdQueryBuilder<NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>`, `ProcessInstanceIdQueryBuilder<NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>`

      public interface NodeInstanceLogQueryBuilder
      extends AuditLogQueryBuilder<NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `AuditLogQueryBuilder.OrderBy`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NodeInstanceLogQueryBuilder` | `date​(java.util.Date... date)` | Specify one or more dates as criteria in the query.
    `NodeInstanceLogQueryBuilder` | `dateRangeEnd​(java.util.Date rangeEnd)` | Specify the end of a date range to be used as a criteria on the date field.
    `NodeInstanceLogQueryBuilder` | `dateRangeStart​(java.util.Date rangeStart)` | Specify the begin of a date range to be used as a criteria on the date field.
    `NodeInstanceLogQueryBuilder` | `nodeId​(java.lang.String... nodeId)` | Specify one or more node ids to use as a criteria.
    `NodeInstanceLogQueryBuilder` | `nodeInstanceId​(java.lang.String... nodeInstanceId)` | Specify one or more node instance ids to use as a criteria.
    `NodeInstanceLogQueryBuilder` | `nodeName​(java.lang.String... name)` | Specify one or more node names to use as a criteria.
    `NodeInstanceLogQueryBuilder` | `nodeType​(java.lang.String... type)` | Specify one or more node types to use as a criteria.
    `NodeInstanceLogQueryBuilder` | `workItemId​(long... workItemId)` | Specify one or more work item ids associated with a node to use as a criteria.

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `ascending, descending`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder

      `processId`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

- - ### Method Detail

    - #### date

          NodeInstanceLogQueryBuilder date​(java.util.Date... date)

      Specify one or more dates as criteria in the query.
      Parameters:
        `date` - one or more dates
      Returns:
        The current query builder instance

    - #### dateRangeStart

          NodeInstanceLogQueryBuilder dateRangeStart​(java.util.Date rangeStart)

      Specify the begin of a date range to be used as a criteria on the date field. The date range includes the date specified.
      Parameters:
        `rangeStart` - the start (early end) of the date range
      Returns:
        The current query builder instance

    - #### dateRangeEnd

          NodeInstanceLogQueryBuilder dateRangeEnd​(java.util.Date rangeEnd)

      Specify the end of a date range to be used as a criteria on the date field. The date range includes this date.
      Parameters:
        `rangeEnd` - the end (later end) of the date range
      Returns:
        The current query builder instance

    - #### nodeInstanceId

          NodeInstanceLogQueryBuilder nodeInstanceId​(java.lang.String... nodeInstanceId)

      Specify one or more node instance ids to use as a criteria.
      Parameters:
        `nodeInstanceId` - one or more string node instance ids
      Returns:
        The current query builder instance

    - #### nodeId

          NodeInstanceLogQueryBuilder nodeId​(java.lang.String... nodeId)

      Specify one or more node ids to use as a criteria.
      Parameters:
        `nodeId` - one or more string node ids
      Returns:
        The current query builder instance

    - #### nodeName

          NodeInstanceLogQueryBuilder nodeName​(java.lang.String... name)

      Specify one or more node names to use as a criteria.
      Parameters:
        `name` - one or more string node names
      Returns:
        The current query builder instance

    - #### nodeType

          NodeInstanceLogQueryBuilder nodeType​(java.lang.String... type)

      Specify one or more node types to use as a criteria.
      Parameters:
        `type` - one or more string node types
      Returns:
        The current query builder instance

    - #### workItemId

          NodeInstanceLogQueryBuilder workItemId​(long... workItemId)

      Specify one or more work item ids associated with a node to use as a criteria.
      Parameters:
        `workItemId` - one or more long work item ids
      Returns:
        The current query builder instance